package org.omg.DynamicAny;

import java.io.ObjectOutputStream;
import java.io.IOException;
import org.omg.CORBA.ORB;
import java.io.ObjectInputStream;
import java.io.Serializable;
import org.omg.CORBA.Object;
import org.omg.CORBA.TypeCode;
import org.omg.DynamicAny.DynAnyPackage.InvalidValue;
import org.omg.DynamicAny.DynAnyPackage.TypeMismatch;
import org.omg.CORBA.portable.ServantObject;
import org.omg.CORBA.Any;
import org.omg.CORBA.portable.ObjectImpl;

public class _DynArrayStub extends ObjectImpl implements DynArray
{
    public static final Class _opsClass;
    private static String[] __ids;
    
    public _DynArrayStub() {
    }
    
    public Any[] get_elements() {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_elements", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_elements();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void set_elements(Any[] array) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("set_elements", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.set_elements(array);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public DynAny[] get_elements_as_dyn_any() {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_elements_as_dyn_any", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_elements_as_dyn_any();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void set_elements_as_dyn_any(DynAny[] array) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("set_elements_as_dyn_any", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.set_elements_as_dyn_any(array);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public TypeCode type() {
        ServantObject servant_preinvoke = this._servant_preinvoke("type", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.type();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void assign(DynAny dynAny) throws TypeMismatch {
        ServantObject servant_preinvoke = this._servant_preinvoke("assign", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.assign(dynAny);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void from_any(Any any) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("from_any", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.from_any(any);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public Any to_any() {
        ServantObject servant_preinvoke = this._servant_preinvoke("to_any", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.to_any();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public boolean equal(DynAny dynAny) {
        ServantObject servant_preinvoke = this._servant_preinvoke("equal", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.equal(dynAny);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void destroy() {
        ServantObject servant_preinvoke = this._servant_preinvoke("destroy", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.destroy();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public DynAny copy() {
        ServantObject servant_preinvoke = this._servant_preinvoke("copy", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.copy();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_boolean(boolean b) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_boolean", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_boolean(b);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_octet(byte b) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_octet", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_octet(b);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_char(char c) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_char", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_char(c);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_short(short n) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_short", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_short(n);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_ushort(short n) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_ushort", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_ushort(n);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_long(int n) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_long", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_long(n);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_ulong(int n) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_ulong", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_ulong(n);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_float(float n) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_float", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_float(n);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_double(double n) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_double", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_double(n);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_string(String s) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_string", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_string(s);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_reference(org.omg.CORBA.Object object) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_reference", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_reference(object);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_typecode(TypeCode typeCode) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_typecode", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_typecode(typeCode);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_longlong(long n) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_longlong", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_longlong(n);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_ulonglong(long n) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_ulonglong", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_ulonglong(n);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_wchar(char c) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_wchar", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_wchar(c);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_wstring(String s) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_wstring", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_wstring(s);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_any(Any any) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_any", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_any(any);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_dyn_any(DynAny dynAny) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_dyn_any", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_dyn_any(dynAny);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void insert_val(Serializable s) throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("insert_val", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.insert_val(s);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public boolean get_boolean() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_boolean", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_boolean();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public byte get_octet() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_octet", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_octet();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public char get_char() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_char", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_char();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public short get_short() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_short", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_short();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public short get_ushort() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_ushort", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_ushort();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public int get_long() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_long", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_long();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public int get_ulong() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_ulong", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_ulong();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public float get_float() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_float", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_float();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public double get_double() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_double", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_double();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public String get_string() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_string", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_string();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public org.omg.CORBA.Object get_reference() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_reference", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_reference();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public TypeCode get_typecode() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_typecode", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_typecode();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public long get_longlong() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_longlong", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_longlong();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public long get_ulonglong() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_ulonglong", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_ulonglong();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public char get_wchar() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_wchar", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_wchar();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public String get_wstring() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_wstring", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_wstring();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public Any get_any() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_any", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_any();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public DynAny get_dyn_any() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_dyn_any", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_dyn_any();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public Serializable get_val() throws TypeMismatch, InvalidValue {
        ServantObject servant_preinvoke = this._servant_preinvoke("get_val", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.get_val();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public boolean seek(int n) {
        ServantObject servant_preinvoke = this._servant_preinvoke("seek", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.seek(n);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void rewind() {
        ServantObject servant_preinvoke = this._servant_preinvoke("rewind", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            dynArrayOperations.rewind();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public boolean next() {
        ServantObject servant_preinvoke = this._servant_preinvoke("next", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.next();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public int component_count() {
        ServantObject servant_preinvoke = this._servant_preinvoke("component_count", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.component_count();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public DynAny current_component() throws TypeMismatch {
        ServantObject servant_preinvoke = this._servant_preinvoke("current_component", _DynArrayStub._opsClass);
        DynArrayOperations dynArrayOperations = (DynArrayOperations)servant_preinvoke.servant;
        try {
            return dynArrayOperations.current_component();
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public String[] _ids() {
        return (String[])(String[])_DynArrayStub.__ids.clone();
    }
    
    private void readObject(ObjectInputStream objectInputStream) throws IOException {
        String utf = objectInputStream.readUTF();
        ORB init = ORB.init(null, null);
        try {
            this._set_delegate(((ObjectImpl)init.string_to_object(utf))._get_delegate());
        }
        finally {
            init.destroy();
        }
    }
    
    private void writeObject(ObjectOutputStream objectOutputStream) throws IOException {
        ORB init = ORB.init(null, null);
        try {
            objectOutputStream.writeUTF(init.object_to_string(this));
        }
        finally {
            init.destroy();
        }
    }
    
    static {
        _opsClass = DynArrayOperations.class;
        _DynArrayStub.__ids = new String[] { "IDL:omg.org/DynamicAny/DynArray:1.0", "IDL:omg.org/DynamicAny/DynAny:1.0" };
    }
}
